Subject: bug#25607: 26.0.50; Ido does not work with tramp anymore

From: Cédric Chépied <[email-masked]>
Date: Fri, 17 Feb 2017 09:02:58 +0100

Hi Michael,

On Wed, 15 Feb 2017 19:55:17 +0100,
Michael Albinus wrote:
> Password is requested now after reaching "/sudo:root@localhost:", it
> needs two <TAB>, as Dmitry also said. Don't know why two <TAB> are
> needed, but it seems to be an ido feature. I've traced Tramp, and after
> the first <TAB> no Tramp function was invoked. Maybe we can live with this.

It works here. That's really better. There is still a strange behaviour: If your
type "/sudo:root@localhost:/" (with the '/' at the end) the ido completion does
not work for the first directory (/home for example). Then it works.

With "/sudo:root@localhost: <TAB> <TAB> /" it works great.
Thanks a lot, I use tramp really often and this bug was very annoying.

Best regards,
-- 
Cédric Chépied
<[email-masked]>